package util;

import meerkat.RegistryCallBack;

import java.util.List;

/**
 * Handles the return values from called methods or registry
 */
public class SimpleRegistryCallBackHandler implements RegistryCallBack {
    /**
     * Presents the state of the called registy method
     */
    public boolean ActionSucceed;

    /**
     * Presents the wanted information from registry
     */
    public List<String> WantedInformation;

    public int counter = 0;

    @Override
    public void HandleVoterAdded(boolean succeeded) {
        ActionSucceed = succeeded;
        counter++;
    }

    @Override
    public void HandleVoterAddedToGroup(boolean succeeded) {
        ActionSucceed = succeeded;
        counter++;
    }

    @Override
    public void HandleVoterRemovedFromGroup(boolean succeeded) {
        ActionSucceed = succeeded;
        counter++;
    }

    @Override
    public void HandleSetVoted(boolean succeeded) {
        ActionSucceed = succeeded;
        counter++;
    }

    @Override
    public void HandleVoterInfo(List<String> voterInformation) {
        ActionSucceed = (voterInformation != null);
        WantedInformation = voterInformation;
        counter++;
    }

    @Override
    public void HandleVoterGroups(List<String> groupsVoterIn) {
        ActionSucceed = (groupsVoterIn != null);
        WantedInformation = groupsVoterIn;
        counter++;
    }
}
